class Languages:
	"""
	Provides collections of language codes for generating Accept-Language headers.

	This class contains lists of language codes, categorized into common and all supported languages,
	which can be used for generating realistic and comprehensive Accept-Language header values.

	Attributes:
	   common (list[str]): A list of strings representing commonly used language codes. These are languages frequently encountered in web traffic.
	   all (list[str]): A list of strings representing a comprehensive set of language codes, including a wide range of languages and regional variations. This list covers almost all languages supported by browsers.
	"""
	common = ["en", "es", "fr", "de", "zh", "ja", "ru", "pt", "ar-sa", "it", "ko"]
	
	all = [
		"af",
		"am",
		"ar-sa",
		"az-Latn",
		"be",
		"bg",
		"bs",
		"ca",
		"cs",
		"cy",
		"da",
		"de",
		"el",
		"en",
		"es",
		"et",
		"eu",
		"fa",
		"fi",
		"fil-Latn",
		"fr",
		"ga",
		"gd-Latn",
		"gl",
		"ha-Latn",
		"he",
		"hi",
		"hr",
		"hu",
		"hy",
		"id",
		"ig-Latn",
		"is",
		"it",
		"ja",
		"ka",
		"kk",
		"km",
		"kn",
		"ko",
		"kok",
		"ku-Arab",
		"ky-Cyrl",
		"lb",
		"lt",
		"lv",
		"mi-Latn",
		"mk",
		"ml",
		"mn-Cyrl",
		"mr",
		"ms",
		"mt",
		"nb",
		"ne",
		"nl",
		"nn",
		"nso",
		"or",
		"pa",
		"pa-Arab",
		"pl",
		"prs-Arab",
		"pt",
		"quz-Latn",
		"ro",
		"ru",
		"rw",
		"sd-Arab",
		"si",
		"sk",
		"sl",
		"sq",
		"sr",
		"sv",
		"sw",
		"ta",
		"te",
		"tg-Cyrl",
		"th",
		"tk-Latn",
		"tn",
		"tr",
		"tt-Cyrl",
		"ug-Arab",
		"uk",
		"ur",
		"uz-Latn",
		"vi",
		"wo",
		"xh",
		"yo-Latn",
		"zh",
		"zu"
	]
